unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Forms, Controls, Dialogs, ComCtrls, StdCtrls, ExtCtrls, Classes;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    ImageList: TImageList;
    ToolBar1: TToolBar;
    ToolBar2: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  rhsCreateDisabledImageList;

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  // Die Icons aus ToolBar.Images auslesen, in Graustufen wandeln und ToolBar.DisabledImages zuweisen.
  // Grund: Die automatisch erzeugten Disabled-Images weisen oft unschöne Artefakte auf.
  // -----------------------------------------------------------------------------------------------
  ToolBar1.DisabledImages := CreateDisabledImageList(TImageList(Toolbar1.Images));
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ToolButton1.Enabled := not ToolButton1.Enabled;
  ToolButton2.Enabled := not ToolButton2.Enabled;
  ToolButton3.Enabled := not ToolButton3.Enabled;
  ToolButton4.Enabled := not ToolButton4.Enabled;
  if ToolButton1.Enabled then
    Button1.Caption := 'Disable'
  else
    Button1.Caption := 'Enable';
end;

end.
